PayOrc
POS

Create Order

Create a POS order without initiating payment.

Create Order

Create a POS order for a two-step flow. Call Initiate Payment next with the returned p_order_id.

Uses the same data payload structure as POS Payment, except pos_terminal_id and txn_type must not be sent on this endpoint.

Endpoint

MethodURL
POSThttps://api.payorc.com/pos/v1/orders

Headers

HeaderTypeRequiredDescription
merchant-keyStringYesPOS Web API key
merchant-secretStringYesPOS Web API secret
Content-TypeStringYesapplication/json

Request body

All objects in POS Payment are required (customer_details, billing_details, shipping_details, order_details, urls, parameters, custom_data). Values may be "" unless the field is marked value-required on the payment page.

Do not include pos_terminal_id or txn_type in order_details. Use POS Payment for one-step flow.

Response — Success (200)

{
  "data": {
    "p_order_id": "1000010035",
    "m_order_id": "ORD001",
    "p_request_id": "REQ123456",
    "order_creation_date": "22/07/2026 14:30:00",
    "currency": "INR",
    "amount": "500.00"
  },
  "message": "Order created, use /initiate-payment API to initiate payment",
  "status": "success",
  "code": "00"
}

Code Examples

curl -X POST "https://api.payorc.com/pos/v1/orders" \
  -H "merchant-key: {{posweb-key}}" \
  -H "merchant-secret: {{posweb-secret}}" \
  -H "Content-Type: application/json" \
  -d '{
    "data": {
      "customer_details": {
        "m_customer_id": "",
        "name": "",
        "email": "",
        "mobile": "",
        "code": ""
      },
      "order_details": {
        "m_order_id": "ORD001",
        "amount": 500,
        "quantity": "",
        "convenience_fee": "",
        "currency": "INR",
        "description": ""
      },
      "billing_details": {
        "address_line1": "",
        "address_line2": "",
        "city": "",
        "province": "",
        "country": "",
        "pin": ""
      },
      "shipping_details": {
        "shipping_name": "",
        "shipping_email": "",
        "shipping_code": "",
        "shipping_mobile": "",
        "address_line1": "",
        "address_line2": "",
        "city": "",
        "province": "",
        "country": "",
        "pin": "",
        "location_pin": "",
        "shipping_currency": "",
        "shipping_amount": ""
      },
      "urls": {
        "success": "",
        "cancel": "",
        "failure": "",
        "webhook_url": ""
      },
      "parameters": [
        { "alpha": "" },
        { "beta": "" },
        { "gamma": "" },
        { "delta": "" },
        { "epsilon": "" }
      ],
      "custom_data": [
        { "alpha": "" },
        { "beta": "" },
        { "gamma": "" },
        { "delta": "" },
        { "epsilon": "" }
      ]
    }
  }'

On this page